PreferenceManager Obsolète

Bonjour
je suis dans le cours Android dans l’app diaporama photo V3
PreferenceManager est utilisé mais est obsolète si j’essaye de l’utiliser
j’ai vu d’autres sur ce sujet, mais incompréhensible pour moi
Ma question est:
preferenceManager est encore utilisable ou faut-il l’oublier et utiliser autre chose

Bonjour Benoit, effectivement je me souviens avoir vu cette discussion passer sur le forum, voici le lien qui comporte une solution : Erreur PreferenceManager

J’en profite pour rappeler que le cours Android est assez ancien maintenant et qu’officiellement je recommande de basculer sur le cours Flutter pour la partie Android. J’ai d’ailleurs désactivé la possibilité d’acheter le cours kotlin et il reste disponible uniquement pour ceux qui l’avaient déjà ou qui rejoignent la formule.
Sachant que 95% des notions sont toujours ok, mais il y aura forcément certaines classes Kotlin qui vont changer et des fonctionnalités de Android Studio qui seront modifiées/déplacées/supprimées.

1 J'aime

Salut @Benoit06 !

Pour ceux que ça intéressent, personnellement j’ai utilisé le tuto suivant basé sur le DataStore :

Ca fonctionne super bien pour moi, pas trop compliqué à comprendre mais il faut se renseigner quand même sur chaque étape (ou bien comprendre l’anglais il explique pas trop mal), c’est largement suffisant pour les utilisations que j’en fais, mais je ne sais pas si c’est conseillé ou stable ou s’il y a des inconvénients à l’utiliser.

Mieux vaut peut-être attendre l’avis de @mbritto pour en savoir plus avant de te lancer là-dedans, sinon même si le PreferencesManager est obsolète normalement il est toujours possible de l’utiliser sans soucis via les sharedPreferences comme dans le lien partagé dans la réponse de Maxime, c’est d’ailleurs peut-être préférable si c’est déjà assez complexe pour toi, parce que cet outil est assez simple d’utilisation contrairement à d’autres.

Bon courage pour la suite :slight_smile: